Bug 255249 - New port: mail/mew-devel Messaging in the Emacs World for emacs (Development Version)
Summary: New port: mail/mew-devel Messaging in the Emacs World for emacs (Development ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL: https://github.com/kazu-yamamoto/Mew/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-20 08:52 UTC by Yasuhiro Kimura
Modified: 2021-08-27 02:55 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (5.39 KB, patch)
2021-04-20 08:52 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (5.39 KB, patch)
2021-07-01 00:44 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-04-20 08:52:52 UTC
Created attachment 224283 [details]
Patch file

This is development version of mail/mew. This port is intended for users who want to use latest features that aren't included in release version yet.

To apply attached patch please take following steps.

1. cd /usr/ports
2. copy -a mail/mew mail/mew-devel
3. git add mail/mew-devel
4. git commit -m 'Copy mail/mew to mail/mew-devel.'
5. git apply /path/to/attached/patch
Comment 1 Yasuhiro Kimura freebsd_committer 2021-07-01 00:44:29 UTC
Created attachment 226143 [details]
Updated patch file

Update to latest snapshot.
Comment 2 Hiroki Sato freebsd_committer 2021-07-01 00:46:27 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-08-27 02:52:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cbabd645f90461dca4792e45e9299ce18a8fd369

commit cbabd645f90461dca4792e45e9299ce18a8fd369
Author:     Hiroki Sato <hrs@FreeBSD.org>
AuthorDate: 2021-08-27 02:49:37 +0000
Commit:     Hiroki Sato <hrs@FreeBSD.org>
CommitDate: 2021-08-27 02:49:37 +0000

    mail/mew-devel: development version of mail/mew

    PR:             255249
    Submitted by:   Yasuhiro Kimura

 mail/Makefile                                     |   1 +
 mail/mew-devel/Makefile (new)                     |  54 +++++++
 mail/mew-devel/distinfo (new)                     |   3 +
 mail/mew-devel/files/patch-bin__Makefile.in (new) |  59 +++++++
 mail/mew-devel/files/patch-info__Makefile (new)   |  27 ++++
 mail/mew-devel/files/pkg-message.in (new)         |  19 +++
 mail/mew-devel/pkg-descr (new)                    |   4 +
 mail/mew-devel/pkg-plist (new)                    | 181 ++++++++++++++++++++++
 8 files changed, 348 insertions(+)
Comment 4 Hiroki Sato freebsd_committer 2021-08-27 02:55:24 UTC
Committed with some minor changes: 1) post-install target was removed because this file did not exist, and 2) add STUNNEL_DESC and CONFLICTS_INSTALL.  Please re-open this PR and add a comment if you see something wrong.  Thanks for your submission.